package com.srs.comprehensive.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 规则对象 cph_rules
 * 
 * @author srs
 * @date 2023-07-03
 */
public class CphRules extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 规则ID */
    private Long ruleId;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 父级ID */
    @Excel(name = "父级ID")
    private Long parentId;

    /** 最高分 */
    @Excel(name = "最高分")
    private BigDecimal maxScore;

    /** 最低分 */
    @Excel(name = "最低分")
    private BigDecimal minScore;



    private BigDecimal InitialScore;

    /** 描述 */
    @Excel(name = "描述")
    private String description;


/** 子类 */
    private Object children;

    /** 状态，默认为0 */
    @Excel(name = "状态，默认为0")
    private Long status;

    /** 删除标志，默认为0 */
    private Integer delFlag;


    public BigDecimal getInitialScore() {
        return InitialScore;
    }

    public void setInitialScore(BigDecimal initialScore) {
        InitialScore = initialScore;
    }
    public Object getChildren() {
        return children;
    }

    public void setChildren(Object children) {
        this.children = children;
    }

    public void setRuleId(Long ruleId) 
    {
        this.ruleId = ruleId;
    }

    public Long getRuleId() 
    {
        return ruleId;
    }
    public void setRuleName(String ruleName) 
    {
        this.ruleName = ruleName;
    }

    public String getRuleName() 
    {
        return ruleName;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setMaxScore(BigDecimal maxScore) 
    {
        this.maxScore = maxScore;
    }

    public BigDecimal getMaxScore()
    {
        return maxScore;
    }
    public void setMinScore(BigDecimal minScore) 
    {
        this.minScore = minScore;
    }

    public BigDecimal getMinScore() 
    {
        return minScore;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ruleId", getRuleId())
            .append("ruleName", getRuleName())
            .append("parentId", getParentId())
            .append("maxScore", getMaxScore())
            .append("minScore", getMinScore())
            .append("description", getDescription())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
